summaryrefslogtreecommitdiffstats
path: root/audio/bitwig-studio
diff options
context:
space:
mode:
Diffstat (limited to 'audio/bitwig-studio')
-rw-r--r--audio/bitwig-studio/README13
-rw-r--r--audio/bitwig-studio/bitwig-studio.SlackBuild78
-rw-r--r--audio/bitwig-studio/bitwig-studio.info10
-rw-r--r--audio/bitwig-studio/doinst.sh8
-rw-r--r--audio/bitwig-studio/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/audio/bitwig-studio/README b/audio/bitwig-studio/README
new file mode 100644
index 0000000000..a1c0e8e21a
--- /dev/null
+++ b/audio/bitwig-studio/README
@@ -0,0 +1,13 @@
+Bitwig is designed to be an instrument for live performances as well
+as a tool for composing, recording, arranging, mixing, and mastering.
+It offers a suite of controls for beatmatching, crossfading, and other
+effects used by turntablists. Bitwig supports both traditional linear
+music arrangement and non-linear (clip-based) production. It has
+multi-monitor and touch screen support. Bitwig is notable for its
+strong modulation and automation capabilities.
+
+Make sure you have configured you're system with real-time priority.
+visit https://docs.slackware.com and search: minimizing_latency
+
+OPTIONAL DEPENDENCIES
+rtirq jack
diff --git a/audio/bitwig-studio/bitwig-studio.SlackBuild b/audio/bitwig-studio/bitwig-studio.SlackBuild
new file mode 100644
index 0000000000..9cdf42dc75
--- /dev/null
+++ b/audio/bitwig-studio/bitwig-studio.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for bitwig-studio
+
+# Copyright 2023 Martin Bångens Sweden
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=bitwig-studio
+VERSION=${VERSION:-5.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "This is a x86_64 only SlackBuild"
+ exit 1
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -fr bitwig-studio
+mkdir bitwig-studio
+bsdtar -xf $CWD/bitwig-studio-$VERSION.deb -C bitwig-studio
+bsdtar -xf bitwig-studio/data.tar.xz -C $PKG
+#sed -i 's|1.5|1.0|g' $PKG/usr/share/applications/com.bitwig.BitwigStudio.desktop
+chown root:root $PKG/usr/share/applications/com.bitwig.BitwigStudio.desktop
+chmod 0644 $PKG/usr/share/applications/com.bitwig.BitwigStudio.desktop
+chmod 0644 $PKG/usr/share/icons/hicolor/*/*/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PKG/opt/bitwig-studio/EULA.rtf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/bitwig-studio/bitwig-studio.info b/audio/bitwig-studio/bitwig-studio.info
new file mode 100644
index 0000000000..bf32f8c0d8
--- /dev/null
+++ b/audio/bitwig-studio/bitwig-studio.info
@@ -0,0 +1,10 @@
+PRGNAM="bitwig-studio"
+VERSION="5.1.7"
+HOMEPAGE="https://www.bitwig.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://downloads.bitwig.com/stable/5.1.7/bitwig-studio-5.1.7.deb"
+MD5SUM_x86_64="9f5bf6973ed966a8b95f322d9f558a68"
+REQUIRES="%README%"
+MAINTAINER="Martin Bångens"
+EMAIL="marbangens@gmail.com"
diff --git a/audio/bitwig-studio/doinst.sh b/audio/bitwig-studio/doinst.sh
new file mode 100644
index 0000000000..fd1bca3b49
--- /dev/null
+++ b/audio/bitwig-studio/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/bitwig-studio/slack-desc b/audio/bitwig-studio/slack-desc
new file mode 100644
index 0000000000..ea7bb4d439
--- /dev/null
+++ b/audio/bitwig-studio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bitwig-studio: bitwig-studio (Digital audio workstation for music production)
+bitwig-studio:
+bitwig-studio: Bitwig is designed to be an instrument for live performances as well
+bitwig-studio: as a tool for composing, recording, arranging, mixing, and mastering.
+bitwig-studio: It offers a suite of controls for beatmatching, crossfading, and other
+bitwig-studio: effects used by turntablists. Bitwig supports both traditional linear
+bitwig-studio: music arrangement and non-linear (clip-based) production. It has
+bitwig-studio: multi-monitor and touch screen support. Bitwig is notable for its
+bitwig-studio: strong modulation and automation capabilities.
+bitwig-studio:
+bitwig-studio: